Freeciv-3.1: packet_edit_unit Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_edit_unit Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id16
int | id32
Unit_type_id | utype
int | owner
int | homecity16
int | homecity32
int | moves_left
int | hp
int | veteran
int | fuel
enum unit_activity | activity
int | activity_count
Base_type_id | activity_base
bool | debug
bool | moved
bool | paradropped
bool | done_moving
int | transported_by16
int | transported_by32
bool | stay

## Detailed Description

Definition at line 1731 of file packets_gen.h.

## Field Documentation

## ◆ activity

enum unit_activity packet_edit_unit::activity

Definition at line 1742 of file packets_gen.h.

Referenced by send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ activity_base

Base_type_id packet_edit_unit::activity_base

Definition at line 1744 of file packets_gen.h.

Referenced by send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ activity_count

int packet_edit_unit::activity_count

Definition at line 1743 of file packets_gen.h.

Referenced by send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ debug

bool packet_edit_unit::debug

Definition at line 1745 of file packets_gen.h.

Referenced by send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ done_moving

bool packet_edit_unit::done_moving

Definition at line 1748 of file packets_gen.h.

Referenced by handle_edit_unit(), objbind_pack_current_values(), objbind_pack_modified_value(), send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ fuel

int packet_edit_unit::fuel

Definition at line 1741 of file packets_gen.h.

Referenced by handle_edit_unit(), objbind_pack_current_values(), objbind_pack_modified_value(), send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ homecity16

int packet_edit_unit::homecity16

Definition at line 1736 of file packets_gen.h.

Referenced by send_packet_edit_unit_101().

## ◆ homecity32

int packet_edit_unit::homecity32

Definition at line 1737 of file packets_gen.h.

Referenced by send_packet_edit_unit_100().

## ◆ hp

int packet_edit_unit::hp

Definition at line 1739 of file packets_gen.h.

Referenced by handle_edit_unit(), objbind_pack_current_values(), objbind_pack_modified_value(), send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ id16

int packet_edit_unit::id16

Definition at line 1732 of file packets_gen.h.

Referenced by handle_edit_unit(), objbind_pack_current_values(), receive_packet_edit_unit_101(), and send_packet_edit_unit_101().

## ◆ id32

int packet_edit_unit::id32

Definition at line 1733 of file packets_gen.h.

Referenced by handle_edit_unit(), objbind_pack_current_values(), and send_packet_edit_unit_100().

## ◆ moved

bool packet_edit_unit::moved

Definition at line 1746 of file packets_gen.h.

Referenced by handle_edit_unit(), objbind_pack_current_values(), objbind_pack_modified_value(), send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ moves_left

int packet_edit_unit::moves_left

Definition at line 1738 of file packets_gen.h.

Referenced by handle_edit_unit(), objbind_pack_current_values(), objbind_pack_modified_value(), send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ owner

int packet_edit_unit::owner

Definition at line 1735 of file packets_gen.h.

Referenced by send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ paradropped

bool packet_edit_unit::paradropped

Definition at line 1747 of file packets_gen.h.

Referenced by send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ stay

bool packet_edit_unit::stay

Definition at line 1751 of file packets_gen.h.

Referenced by handle_edit_unit(), objbind_pack_current_values(), objbind_pack_modified_value(), send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ transported_by16

int packet_edit_unit::transported_by16

Definition at line 1749 of file packets_gen.h.

Referenced by send_packet_edit_unit_101().

## ◆ transported_by32

int packet_edit_unit::transported_by32

Definition at line 1750 of file packets_gen.h.

Referenced by send_packet_edit_unit_100().

## ◆ utype

Unit_type_id packet_edit_unit::utype

Definition at line 1734 of file packets_gen.h.

Referenced by send_packet_edit_unit_100(), and send_packet_edit_unit_101().

## ◆ veteran

int packet_edit_unit::veteran

Definition at line 1740 of file packets_gen.h.

Referenced by handle_edit_unit(), objbind_pack_current_values(), objbind_pack_modified_value(), send_packet_edit_unit_100(), and send_packet_edit_unit_101().